Skip to main content
PATCH
/
virtual-wallets
/
{walletId}
/
client
/
{clientId}
curl -X PATCH "https://api.cryptomate.me/virtual-wallets/vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/client/client_xyz789" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "code": "VAL",
  "message": "Failed to associate client to wallet: <reason>"
}
Associates a client with a virtual wallet. Requires an API key with access level 3 or higher.

Path parameters

walletId
string
required
Unique identifier of the virtual wallet.
clientId
string
required
Unique identifier of the client to associate.

Response

Returns an empty 201 Created response on success.
curl -X PATCH "https://api.cryptomate.me/virtual-wallets/vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/client/client_xyz789" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "code": "VAL",
  "message": "Failed to associate client to wallet: <reason>"
}